## murano 14.0.0

=== contrib/plugins/magnum_plugin/requirements.txt ===
python-magnumclient>=3.0.0  # Apache-2.0

=== debian/changelog ===
murano (1:14.0.0-3) unstable; urgency=medium

  * Fix Python 3.11 related unit test failures (Closes: #1025013):
    - add py3.11-getargspec-removed.patch
    - add py3.11-U-mode-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Dec 2022 09:52:46 +0100

murano (1:14.0.0-1) unstable; urgency=medium

  * New upsteram release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 23:07:41 +0200

murano (1:14.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:58:00 +0200

murano (1:14.0.0~rc1-2) experimental; urgency=medium

  * Add Fix_compat_with_oslo.db_12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 09:23:08 +0200

murano (1:14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2022 09:42:54 +0200

murano (1:13.0.0-2) unstable; urgency=medium

  * Add neutralize-broken-test.patch (Closes: #1017191).

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Aug 2022 13:26:00 +0200

murano (1:13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed Tenant_to_project_migration_for_RequestContext.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:12:21 +0200

murano (1:13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add Tenant_to_project_migration_for_RequestContext.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 12:02:54 +0200

murano (1:13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2022 21:15:12 +0100

murano (1:12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:22:37 +0200

murano (1:12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Switch to yaml policy file using policy.d.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 10:50:35 +0200

murano (1:12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 10:16:18 +0200

murano (1:11.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:24:05 +0200

murano (1:11.0.0-1) experimental; urgency=medium

  * Add removed-httpdomain-sphinx-ext.patch.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 14:34:16 +0200

murano (1:11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * debhelper-compat 11.
  * Removed Breaks:+Replaces murano-api, murano-engine.
  * d/rules: removed --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 21:58:48 +0100

=== debian/control ===
Source: murano
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-babel,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-heatclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-migrate,
 python3-mistralclient,
 python3-murano-pkg-check,
 python3-muranoclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-nose,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-semantic-version,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-yaml,
 python3-yaql,
 subunit,
 tempest,
 zip,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/murano
Vcs-Git: https://salsa.debian.org/openstack-team/services/murano.git
Homepage: https://github.com/openstack/murano

Package: murano-api
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 python3-openstackclient,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: cloud-ready application catalog - API server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the API server.

Package: murano-cfapi
Architecture: all
Depends:
 adduser,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: cloud-ready application catalog - Cloud Foundry broker
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Cloud Foundry Service Broker API. For more info,
 see https://docs.cloudfoundry.org/services/api.html.

Package: murano-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-murano (= ${source:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - common files
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains common files to all Murano servers.

Package: murano-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cloud-ready application catalog - doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation.

Package: murano-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: cloud-ready application catalog - Engine server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Engine server.

Package: python3-murano
Architecture: all
Section: python
Depends:
 alembic,
 python3-babel,
 python3-castellan,
 python3-cryptography,
 python3-debtcollector,
 python3-eventlet,
 python3-heatclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-mistralclient,
 python3-muranoclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-semantic-version,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-testtools,
 python3-webob,
 python3-yaml,
 python3-yaql,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - Python 3.x server code
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 3.x server code.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE=$(shell dpkg-parsechangelog  | grep Date: | cut -d' ' -f2)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	rm -rf 	build \
	 	debian/murano-common.postinst \
		debian/murano-common.config \
		debian/murano-api.postinst \
		debian/murano-api.config \
		debian/murano-common.postrm \
		doc/build/man
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean
	rm -rf debian/*.templates debian/po

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm murano-common.postrm
	pkgos-merge-templates murano-api murano endpoint
	pkgos-merge-templates murano-common murano db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit pkgos-dh_auto_test --no-py2 'tests\.unit\.(?!(.*SysLogHandlersTestCase.*|.*packages\.hot_package\.test_hot_package\.TestHotPackage\.test_heat_files_generated.*|.*common\.test_wsgi\.TestXMLDictSerializer\.test_XML_Dict_Serializer_create_link_nodes.*|.*engine\.test_package_loader\.TestCombinedPackageLoader\.test_export_fixation_table.*|.*api.cmd\.test_test_runner\.TestCaseShell\.test_help.*))'
endif

	# Get the main config file to use decent defaults.
	mkdir -p $(CURDIR)/debian/murano-common/usr/share/murano-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf \
		--wrap-width 140 \
		--namespace keystone_authtoken \
		--namespace murano \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace castellan.config
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf keystone_authtoken murano

	sed -i 's|^[# \t]*notification_driver[ \t]*=.*|notification_driver=messagingv2|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
	sed -i 's|#connection=<None>|connection=sqlite:///var/lib/murano/muranodb|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano-cfapi.conf \
		--wrap-width 140 \
		--namespace keystone_authtoken \
		--namespace murano.cfapi \
		--namespace oslo.db \
		--namespace oslo.log

	mkdir -p $(CURDIR)/debian/murano-common/etc/murano/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/murano-common/etc/murano/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace murano

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/murano-common/etc/murano/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf oslo_policy policy_dirs /etc/murano/policy.d

	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing

	# Install config files
	for i in murano-cfapi-paste.ini murano-paste.ini ; do \
		cp $(CURDIR)/etc/murano/$$i $(CURDIR)/debian/murano-common/usr/share/murano-common ; \
	done
	cp $(CURDIR)/etc/murano/logging.conf.sample $(CURDIR)/debian/murano-common/usr/share/murano-common/logging.conf

	# Zip the murano core-library and push it in the package.
	# Note that this is done in a reproducible way, adjusting timestamps
	# before zipping the files.
	find meta/io.murano -newermt '$(BUILD_DATE)' -print0 | xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
	cd meta/io.murano ; TZ=UTC zip -r ../../debian/murano-common/usr/share/murano-common/io.murano.zip * ; cd ../..

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	if ! PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/murano-doc/usr/share/doc/murano-doc/html ; then \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/murano/tags .*/(\d[brc\d\.]+)\.tar\.gz

## murano 15.0.0

=== debian/changelog ===
murano (1:15.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:54:21 -0400

murano (1:14.0.0+git2023030309.b68a216b-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:31:15 -0500

murano (1:14.0.0+git2023011010.ada28b3a-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/p/skip-py39-failure.patch: Dropped. No longer needed.
  * d/p/drop-U-from-open-mode.patch: Cherry-picked from upstream
    review.
  * d/p/skip-py311-failure.patch: Added to skip failing test until
    fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:04:48 -0500

murano (1:14.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:35:27 -0400

=== debian/control ===
Source: murano
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 git,
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-castellan (>= 0.18.0),
 python3-congressclient (>= 1.9.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.26.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.8.0),
 python3-keystoneclient (>= 1:3.17.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kombu (>= 4.6.1),
 python3-migrate (>= 0.11.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-murano-pkg-check (>= 0.3.0),
 python3-muranoclient (>= 0.8.2),
 python3-mysqldb,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose (>= 1.3.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:4.4.1),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pycodestyle (>= 2.5.0),
 python3-pymysql (>= 0.8.0),
 python3-requests (>= 2.20.0),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.8.2),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.12.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-unittest2 (>= 1.1.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 subunit,
 tempest (>= 1:12.0.0),
 testrepository,
 zip,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano
Homepage: https://opendev.org/openstack/murano
Testsuite: autopkgtest-pkg-python

Package: murano-api
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: cloud-ready application catalog - API server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the API server.

Package: murano-cfapi
Architecture: all
Depends:
 adduser,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: cloud-ready application catalog - Cloud Foundry broker
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Cloud Foundry Service Broker API. For more info,
 see https://docs.cloudfoundry.org/services/api.html.

Package: murano-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-murano (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: cloud-ready application catalog - common files
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains common files to all Murano servers.

Package: murano-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cloud-ready application catalog - doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation.

Package: murano-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: cloud-ready application catalog - Engine server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Engine server.

Package: python3-murano
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 0.18.0),
 python3-congressclient (>= 1.9.0),
 python3-cryptography (>= 2.7),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.26.0),
 python3-heatclient (>= 1.10.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.8.0),
 python3-keystoneclient (>= 1:3.17.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kombu (>= 4.6.1),
 python3-mistralclient (>= 1:3.1.0),
 python3-muranoclient (>= 0.8.2),
 python3-mysqldb,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackclient (>= 3.3.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.7.0),
 python3-pymysql (>= 0.6.2),
 python3-requests (>= 2.8.1),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.8.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.12.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - Python 3 libs
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 3 library for Murano.

## murano 16.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
alembic>=0.9.6 # MIT
eventlet>=0.26.0 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
tenacity>=4.12.0 # Apache-2.0
WebOb>=1.7.1 # MIT
kombu>=4.6.1 # BSD
psutil>=3.2.2 # BSD
netaddr>=0.7.18 # BSD
PyYAML>=5.1 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.8.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
testtools>=2.2.0 # MIT
yaql>=1.1.3 # Apache 2.0 License
debtcollector>=1.2.0 # Apache-2.0
cryptography>=2.7 # BSD/Apache-2.0

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonschema>=3.2.0 # MIT
python-keystoneclient>=3.17.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
semantic-version>=2.8.2 # BSD
castellan>=0.18.0 # Apache-2.0

=== doc/requirements.txt ===
# doc build requirements
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0

=== debian/changelog ===
murano (1:16.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:11:12 +0200

murano (1:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Sep 2023 17:59:50 +0200

murano (1:15.0.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1049302).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 15:17:08 +0200

murano (1:15.0.0-3) unstable; urgency=medium

  * Removed build-depends on python3-nose (Closes: #1018414).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 15:02:55 +0200

murano (1:15.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 18:01:05 +0200

murano (1:15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 14:02:19 +0100

murano (1:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions, satisfied in Bookworm.
  * Removed lsb-base depends.
  * Removed patches applied upstream:
    - Fix_compat_with_oslo.db_12.1.0.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 11:11:07 +0100

=== debian/control ===
Source: murano
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-babel,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-heatclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-migrate,
 python3-mistralclient,
 python3-murano-pkg-check,
 python3-muranoclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-semantic-version,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-yaml,
 python3-yaql,
 subunit,
 tempest,
 zip,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/murano
Vcs-Git: https://salsa.debian.org/openstack-team/services/murano.git
Homepage: https://github.com/openstack/murano

Package: murano-api
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 python3-openstackclient,
 ${misc:Depends},
 ${python3:Depends},
Description: cloud-ready application catalog - API server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the API server.

Package: murano-cfapi
Architecture: all
Depends:
 adduser,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: cloud-ready application catalog - Cloud Foundry broker
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Cloud Foundry Service Broker API. For more info,
 see https://docs.cloudfoundry.org/services/api.html.

Package: murano-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-murano (= ${source:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - common files
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains common files to all Murano servers.

Package: murano-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cloud-ready application catalog - doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation.

Package: murano-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: cloud-ready application catalog - Engine server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Engine server.

Package: python3-murano
Architecture: all
Section: python
Depends:
 alembic,
 python3-babel,
 python3-castellan,
 python3-cryptography,
 python3-debtcollector,
 python3-eventlet,
 python3-heatclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-mistralclient,
 python3-muranoclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-semantic-version,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-testtools,
 python3-webob,
 python3-yaml,
 python3-yaql,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - Python 3.x server code
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 3.x server code.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
-override_dh_clean:
+override_dh_auto_clean:
+	python3 setup.py clean
 	rm -rf 	build \
 	 	debian/murano-common.postinst \
 		debian/murano-common.config \
@@ -18,11 +19,10 @@
 		debian/murano-common.postrm \
 		doc/build/man
 	rm -f debian/*.init debian/*.service debian/*.upstart
-	dh_clean
 	rm -rf debian/*.templates debian/po
-
-override_dh_auto_clean:
-	python3 setup.py clean
+	rm -rf .stestr *.egg-info doc/source/_static
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.config
